import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel();
var WxParse = require('../../wxParse/wxParse.js');

Page({
    /**
     * 页面的初始数据
     */
    data: {
        pageType: {}, //类型 0 为广场进入 1为发布历史进入 2为门户进入
        tnoticeid: {}, //公告id
        msgObj: {}, //详情
        coverFiles: [], //封面
        defaultFiles: [], //附件
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        //默认通告广场
        let data = {
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.notice.notice",
            "method": "query_noticeMain",
            "content": {
                "tnoticeid": options.id
            }
        };
        //历史发布
        if (options.type == 1) {
            data.classname = "customer.noticemag.noticemag";
        };
        //无状态进入
        if (options.type == 2) {
            data = {
                "classname": "publicmethod.homepage.homepage",
                "method": "query_noticeMain",
                "content": {
                    "tnoticeid": options.id
                }
            }
        }
        //开始阅读
        _Http.basic(data).then(res => {
            let attinfos = res.data[0].attinfos,
                coverFiles = [],
                defaultFiles = [];
            for (let i = 0; i < attinfos.length; i++) {
                (attinfos[i].ftype == "default") ? defaultFiles.push(attinfos[i]): coverFiles.push(attinfos[i])
            }
            var that = this;
            var article = res.data[0].fcontent;
            WxParse.wxParse('article', 'html', article, that, 5);
            res.data[0].checkdate = res.data[0].checkdate.slice(0, res.data[0].checkdate.lastIndexOf('.'));
            this.setData({
                tnoticeid: options.id,
                msgObj: res.data[0],
                coverFiles,
                defaultFiles,
                pageType: options.type
            })
        })
    },
    /* 查看附件 */
    downLoadFiles(e) {
        const {
            index
        } = e.currentTarget.dataset,
            that = this,
            data = this.data.defaultFiles[index];
        // console.log(data)
        wx.downloadFile({
            url: data.fobsurl,
            success: function (res) {
                var filePath = res.tempFilePath;
                //页面显示加载动画
                wx.openDocument({
                    filePath: filePath,
                    success: function (res) {
                        console.log('打开文档成功')
                    }
                })
            },
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {},
    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {
        if (this.data.pageType == 0) {
            _Http.basic({
                "accesstoken": wx.getStorageSync('userData').token,
                "classname": "customer.notice.notice",
                "method": "noticeexit",
                "content": {
                    "tnoticeid": this.data.tnoticeid
                }
            }).then(res => {
                console.log(res)
            })
        }
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})